/***************************************
* STORED stp_Blocchi_Insert
*
* crea nuovo record blocchi magazzino
*
* Steamware, S.E.L.
* mod: 2012.05.21
*
****************************************/
CREATE PROCEDURE [dbo].[stp_Blocchi_Insert]
(
	@CodMag NVARCHAR(50),
	@CodCS NVARCHAR(2),
	@CodBlocco NVARCHAR(3),
	@DescBlocco NVARCHAR(50),
	@NumX INT,
	@NumY INT,
	@NumZ INT
)
AS

BEGIN TRAN
	-- inizio calcolando il primo blocco libero x chiave (non è + autoincrement)...
	DECLARE @IdxBlocco	INT
	SET		@IdxBlocco	= ( SELECT ISNULL(MAX(IdxBlocco),0)+1 AS nextIdxBlocco FROM Blocchi )
	
	INSERT INTO Blocchi (IdxBlocco, CodMag, CodCS, CodBlocco, DescBlocco, NumX, NumY, NumZ) 
	VALUES (@IdxBlocco, @CodMag, @CodCS, @CodBlocco, @DescBlocco, @NumX, @NumY, @NumZ)
	
	
COMMIT TRAN


RETURN
